Transfer an NFT

How to perform a non-fungible transfer. E.g transfer an ERC721 or ERC1155 token from one wallet to another.

Request Endpoint: reference

POST /api/transactions/execute
ParameterParam TypeValueDescriptionExample Value
Signing-MethodHeaderid:valueid: This is the ID of the signing method
value: This is the value of the signing method
756ae7a7-3713-43ee-9936-0dff50306488:123456
ParameterParam TypeDescriptionData TypeMandatory
transactionRequestBodyThis object includes the transaction informationObject✅
transactionRequest.typeBodyThis will be NFT_TRANSFERString✅
transactionRequest.walletIdBodyThe id of the wallet that will initiate the txString✅
transactionRequest.toBodyDestination Address (can be a blockchain address or email address)String✅
transactionRequest.secretTypeBodyOn which blockchain the tx will be executedString✅
transactionRequest.tokenAddressBodyThe token contract addressString✅
transactionRequest.tokenIdBodyThe ID of the token you want to transferInteger✅
pincode (Deprecated)BodyPIN related to the wallet IDString❌

Request Body:

{
  "transactionRequest" : {
    "type" : "NFT_TRANSFER",
    "walletId" : "adc4c08a-b8fa-4e4c-z5a2-92c87b80f174",
    "to" : "0xdc71b72db51e227e65a45004ab2798d31e8934c9",
    "secretType" : "MATIC",
    "tokenAddress" : "0x4df47b4969b2911c966506e3592c41389493953b",
    "tokenId" : 1
  }
}

Response Body:

{
    "success": true,
    "result": {
        "transactionHash": "0x8c953e09d8cede9f4eb0d1ee96de4f5a99e31dba7e64312bb252a465de12d10d"
    }
}

Did this page help you?